aboutsummaryrefslogtreecommitdiff
path: root/cddl/contrib/opensolaris/lib
diff options
context:
space:
mode:
Diffstat (limited to 'cddl/contrib/opensolaris/lib')
-rwxr-xr-xcddl/contrib/opensolaris/lib/libdtrace/common/mkerrno.sh1
-rw-r--r--cddl/contrib/opensolaris/lib/libdtrace/common/mkerrtags.sh1
-rw-r--r--cddl/contrib/opensolaris/lib/libdtrace/common/mknames.sh1
-rwxr-xr-xcddl/contrib/opensolaris/lib/libdtrace/common/mksignal.sh1
4 files changed, 4 insertions, 0 deletions
diff --git a/cddl/contrib/opensolaris/lib/libdtrace/common/mkerrno.sh b/cddl/contrib/opensolaris/lib/libdtrace/common/mkerrno.sh
index 50b7f1c1b908..c9fb9e04fe00 100755
--- a/cddl/contrib/opensolaris/lib/libdtrace/common/mkerrno.sh
+++ b/cddl/contrib/opensolaris/lib/libdtrace/common/mkerrno.sh
@@ -25,6 +25,7 @@
# Use is subject to license terms.
#
#ident "%Z%%M% %I% %E% SMI"
+set -e
echo "\
/*\n\
diff --git a/cddl/contrib/opensolaris/lib/libdtrace/common/mkerrtags.sh b/cddl/contrib/opensolaris/lib/libdtrace/common/mkerrtags.sh
index d5651ff727fc..cc3ef3cc9617 100644
--- a/cddl/contrib/opensolaris/lib/libdtrace/common/mkerrtags.sh
+++ b/cddl/contrib/opensolaris/lib/libdtrace/common/mkerrtags.sh
@@ -25,6 +25,7 @@
# Use is subject to license terms.
#
#ident "%Z%%M% %I% %E% SMI"
+set -e
BSDECHO=-e
diff --git a/cddl/contrib/opensolaris/lib/libdtrace/common/mknames.sh b/cddl/contrib/opensolaris/lib/libdtrace/common/mknames.sh
index 2fdc2fa636d5..5bb47cb1781f 100644
--- a/cddl/contrib/opensolaris/lib/libdtrace/common/mknames.sh
+++ b/cddl/contrib/opensolaris/lib/libdtrace/common/mknames.sh
@@ -25,6 +25,7 @@
# Use is subject to license terms.
#
#ident "%Z%%M% %I% %E% SMI"
+set -e
BSDECHO=-e
diff --git a/cddl/contrib/opensolaris/lib/libdtrace/common/mksignal.sh b/cddl/contrib/opensolaris/lib/libdtrace/common/mksignal.sh
index 1bffa6468c2b..dce06a0e1797 100755
--- a/cddl/contrib/opensolaris/lib/libdtrace/common/mksignal.sh
+++ b/cddl/contrib/opensolaris/lib/libdtrace/common/mksignal.sh
@@ -25,6 +25,7 @@
# Use is subject to license terms.
#
#ident "%Z%%M% %I% %E% SMI"
+set -e
echo "\
/*\n\